Package org.jbpm.casemgmt.api.auth

## Enum AuthorizationManager.ProtectedOperation

- java.lang.Object
- - java.lang.Enum<AuthorizationManager.ProtectedOperation>
  - - org.jbpm.casemgmt.api.auth.AuthorizationManager.ProtectedOperation

- All Implemented Interfaces:
    `Serializable`, `Comparable<AuthorizationManager.ProtectedOperation>`
  Enclosing interface:
    AuthorizationManager

      public static enum AuthorizationManager.ProtectedOperation
      extends Enum<AuthorizationManager.ProtectedOperation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADD_DATA` |
    `ADD_PROCESS_TO_CASE` |
    `ADD_TASK_TO_CASE` |
    `CANCEL_CASE` |
    `CLOSE_CASE` |
    `DESTROY_CASE` |
    `MODIFY_COMMENT` |
    `MODIFY_ROLE_ASSIGNMENT` |
    `REMOVE_DATA` |
    `REOPEN_CASE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AuthorizationManager.ProtectedOperation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AuthorizationManager.ProtectedOperation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOSE_CASE

          public static final AuthorizationManager.ProtectedOperation CLOSE_CASE

    - #### CANCEL_CASE

          public static final AuthorizationManager.ProtectedOperation CANCEL_CASE

    - #### DESTROY_CASE

          public static final AuthorizationManager.ProtectedOperation DESTROY_CASE

    - #### REOPEN_CASE

          public static final AuthorizationManager.ProtectedOperation REOPEN_CASE

    - #### ADD_TASK_TO_CASE

          public static final AuthorizationManager.ProtectedOperation ADD_TASK_TO_CASE

    - #### ADD_PROCESS_TO_CASE

          public static final AuthorizationManager.ProtectedOperation ADD_PROCESS_TO_CASE

    - #### ADD_DATA

          public static final AuthorizationManager.ProtectedOperation ADD_DATA

    - #### REMOVE_DATA

          public static final AuthorizationManager.ProtectedOperation REMOVE_DATA

    - #### MODIFY_ROLE_ASSIGNMENT

          public static final AuthorizationManager.ProtectedOperation MODIFY_ROLE_ASSIGNMENT

    - #### MODIFY_COMMENT

          public static final AuthorizationManager.ProtectedOperation MODIFY_COMMENT

  - ### Method Detail

    - #### values

          public static AuthorizationManager.ProtectedOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthorizationManager.ProtectedOperation c : AuthorizationManager.ProtectedOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthorizationManager.ProtectedOperation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null